// This file was generated by gir (https://github.com/gtk-rs/gir)
// from 
// from gir-files (https://github.com/gtk-rs/gir-files.git)
// DO NOT EDIT

#include "manual.h"
#include <stdio.h>

#define PRINT_CONSTANT(CONSTANT_NAME) \
    printf("%s;", #CONSTANT_NAME); \
    printf(_Generic((CONSTANT_NAME), \
                    char *: "%s", \
                    const char *: "%s", \
                    char: "%c", \
                    signed char: "%hhd", \
                    unsigned char: "%hhu", \
                    short int: "%hd", \
                    unsigned short int: "%hu", \
                    int: "%d", \
                    unsigned int: "%u", \
                    long: "%ld", \
                    unsigned long: "%lu", \
                    long long: "%lld", \
                    unsigned long long: "%llu", \
                    float: "%f", \
                    double: "%f", \
                    long double: "%ld"), \
           CONSTANT_NAME); \
    printf("\n");

int main() {
    PRINT_CONSTANT((gint) GMIME_ADDRESS_TYPE_BCC);
    PRINT_CONSTANT((gint) GMIME_ADDRESS_TYPE_CC);
    PRINT_CONSTANT((gint) GMIME_ADDRESS_TYPE_FROM);
    PRINT_CONSTANT((gint) GMIME_ADDRESS_TYPE_REPLY_TO);
    PRINT_CONSTANT((gint) GMIME_ADDRESS_TYPE_SENDER);
    PRINT_CONSTANT((gint) GMIME_ADDRESS_TYPE_TO);
    PRINT_CONSTANT((gint) GMIME_AUTOCRYPT_PREFER_ENCRYPT_MUTUAL);
    PRINT_CONSTANT((gint) GMIME_AUTOCRYPT_PREFER_ENCRYPT_NONE);
    PRINT_CONSTANT(GMIME_BINARY_AGE);
    PRINT_CONSTANT((gint) GMIME_CIPHER_ALGO_3DES);
    PRINT_CONSTANT((gint) GMIME_CIPHER_ALGO_AES);
    PRINT_CONSTANT((gint) GMIME_CIPHER_ALGO_AES192);
    PRINT_CONSTANT((gint) GMIME_CIPHER_ALGO_AES256);
    PRINT_CONSTANT((gint) GMIME_CIPHER_ALGO_BLOWFISH);
    PRINT_CONSTANT((gint) GMIME_CIPHER_ALGO_CAMELLIA128);
    PRINT_CONSTANT((gint) GMIME_CIPHER_ALGO_CAMELLIA192);
    PRINT_CONSTANT((gint) GMIME_CIPHER_ALGO_CAMELLIA256);
    PRINT_CONSTANT((gint) GMIME_CIPHER_ALGO_CAST5);
    PRINT_CONSTANT((gint) GMIME_CIPHER_ALGO_DEFAULT);
    PRINT_CONSTANT((gint) GMIME_CIPHER_ALGO_IDEA);
    PRINT_CONSTANT((gint) GMIME_CIPHER_ALGO_TWOFISH);
    PRINT_CONSTANT((gint) GMIME_CONTENT_ENCODING_7BIT);
    PRINT_CONSTANT((gint) GMIME_CONTENT_ENCODING_8BIT);
    PRINT_CONSTANT((gint) GMIME_CONTENT_ENCODING_BASE64);
    PRINT_CONSTANT((gint) GMIME_CONTENT_ENCODING_BINARY);
    PRINT_CONSTANT((gint) GMIME_CONTENT_ENCODING_DEFAULT);
    PRINT_CONSTANT((gint) GMIME_CONTENT_ENCODING_QUOTEDPRINTABLE);
    PRINT_CONSTANT((gint) GMIME_CONTENT_ENCODING_UUENCODE);
    PRINT_CONSTANT((gint) GMIME_CRIT_CONFLICTING_HEADER);
    PRINT_CONSTANT((gint) GMIME_CRIT_CONFLICTING_PARAMETER);
    PRINT_CONSTANT((gint) GMIME_CRIT_INVALID_HEADER_NAME);
    PRINT_CONSTANT((gint) GMIME_CRIT_MULTIPART_WITHOUT_BOUNDARY);
    PRINT_CONSTANT((gint) GMIME_CRIT_NESTING_OVERFLOW);
    PRINT_CONSTANT((guint) GMIME_DECRYPT_ENABLE_KEYSERVER_LOOKUPS);
    PRINT_CONSTANT((guint) GMIME_DECRYPT_ENABLE_ONLINE_CERTIFICATE_CHECKS);
    PRINT_CONSTANT((guint) GMIME_DECRYPT_EXPORT_SESSION_KEY);
    PRINT_CONSTANT((guint) GMIME_DECRYPT_NONE);
    PRINT_CONSTANT((guint) GMIME_DECRYPT_NO_VERIFY);
    PRINT_CONSTANT((gint) GMIME_DIGEST_ALGO_CRC32);
    PRINT_CONSTANT((gint) GMIME_DIGEST_ALGO_CRC32_RFC1510);
    PRINT_CONSTANT((gint) GMIME_DIGEST_ALGO_CRC32_RFC2440);
    PRINT_CONSTANT((gint) GMIME_DIGEST_ALGO_DEFAULT);
    PRINT_CONSTANT((gint) GMIME_DIGEST_ALGO_HAVAL5160);
    PRINT_CONSTANT((gint) GMIME_DIGEST_ALGO_MD2);
    PRINT_CONSTANT((gint) GMIME_DIGEST_ALGO_MD4);
    PRINT_CONSTANT((gint) GMIME_DIGEST_ALGO_MD5);
    PRINT_CONSTANT((gint) GMIME_DIGEST_ALGO_RIPEMD160);
    PRINT_CONSTANT((gint) GMIME_DIGEST_ALGO_SHA1);
    PRINT_CONSTANT((gint) GMIME_DIGEST_ALGO_SHA224);
    PRINT_CONSTANT((gint) GMIME_DIGEST_ALGO_SHA256);
    PRINT_CONSTANT((gint) GMIME_DIGEST_ALGO_SHA384);
    PRINT_CONSTANT((gint) GMIME_DIGEST_ALGO_SHA512);
    PRINT_CONSTANT((gint) GMIME_DIGEST_ALGO_TIGER192);
    PRINT_CONSTANT(GMIME_DISPOSITION_ATTACHMENT);
    PRINT_CONSTANT(GMIME_DISPOSITION_INLINE);
    PRINT_CONSTANT((gint) GMIME_ENCODING_CONSTRAINT_7BIT);
    PRINT_CONSTANT((gint) GMIME_ENCODING_CONSTRAINT_8BIT);
    PRINT_CONSTANT((gint) GMIME_ENCODING_CONSTRAINT_BINARY);
    PRINT_CONSTANT((gint) GMIME_ENCRYPT_ALWAYS_TRUST);
    PRINT_CONSTANT((gint) GMIME_ENCRYPT_NONE);
    PRINT_CONSTANT((gint) GMIME_ENCRYPT_NO_COMPRESS);
    PRINT_CONSTANT((gint) GMIME_ENCRYPT_SYMMETRIC);
    PRINT_CONSTANT((gint) GMIME_ENCRYPT_THROW_KEYIDS);
    PRINT_CONSTANT((guint) GMIME_FILTER_BEST_CHARSET);
    PRINT_CONSTANT((guint) GMIME_FILTER_BEST_ENCODING);
    PRINT_CONSTANT(GMIME_FILTER_ENRICHED_IS_RICHTEXT);
    PRINT_CONSTANT((gint) GMIME_FILTER_FROM_MODE_ARMOR);
    PRINT_CONSTANT((gint) GMIME_FILTER_FROM_MODE_DEFAULT);
    PRINT_CONSTANT((gint) GMIME_FILTER_FROM_MODE_ESCAPE);
    PRINT_CONSTANT((gint) GMIME_FILTER_GZIP_MODE_UNZIP);
    PRINT_CONSTANT((gint) GMIME_FILTER_GZIP_MODE_ZIP);
    PRINT_CONSTANT(GMIME_FILTER_HTML_BLOCKQUOTE_CITATION);
    PRINT_CONSTANT(GMIME_FILTER_HTML_CITE);
    PRINT_CONSTANT(GMIME_FILTER_HTML_CONVERT_ADDRESSES);
    PRINT_CONSTANT(GMIME_FILTER_HTML_CONVERT_NL);
    PRINT_CONSTANT(GMIME_FILTER_HTML_CONVERT_SPACES);
    PRINT_CONSTANT(GMIME_FILTER_HTML_CONVERT_URLS);
    PRINT_CONSTANT(GMIME_FILTER_HTML_ESCAPE_8BIT);
    PRINT_CONSTANT(GMIME_FILTER_HTML_MARK_CITATION);
    PRINT_CONSTANT(GMIME_FILTER_HTML_PRE);
    PRINT_CONSTANT((gint) GMIME_FORMAT_MBOX);
    PRINT_CONSTANT((gint) GMIME_FORMAT_MESSAGE);
    PRINT_CONSTANT((gint) GMIME_FORMAT_MMDF);
    PRINT_CONSTANT(GMIME_INTERFACE_AGE);
    PRINT_CONSTANT(GMIME_MAJOR_VERSION);
    PRINT_CONSTANT(GMIME_MICRO_VERSION);
    PRINT_CONSTANT(GMIME_MINOR_VERSION);
    PRINT_CONSTANT((gint) GMIME_NEWLINE_FORMAT_DOS);
    PRINT_CONSTANT((gint) GMIME_NEWLINE_FORMAT_UNIX);
    PRINT_CONSTANT((guint) GMIME_OPENPGP_BEGIN_PGP_MESSAGE);
    PRINT_CONSTANT((guint) GMIME_OPENPGP_BEGIN_PGP_PRIVATE_KEY_BLOCK);
    PRINT_CONSTANT((guint) GMIME_OPENPGP_BEGIN_PGP_PUBLIC_KEY_BLOCK);
    PRINT_CONSTANT((guint) GMIME_OPENPGP_BEGIN_PGP_SIGNATURE);
    PRINT_CONSTANT((guint) GMIME_OPENPGP_BEGIN_PGP_SIGNED_MESSAGE);
    PRINT_CONSTANT((gint) GMIME_OPENPGP_DATA_ENCRYPTED);
    PRINT_CONSTANT((gint) GMIME_OPENPGP_DATA_NONE);
    PRINT_CONSTANT((gint) GMIME_OPENPGP_DATA_PRIVATE_KEY);
    PRINT_CONSTANT((gint) GMIME_OPENPGP_DATA_PUBLIC_KEY);
    PRINT_CONSTANT((gint) GMIME_OPENPGP_DATA_SIGNED);
    PRINT_CONSTANT((guint) GMIME_OPENPGP_END_PGP_MESSAGE);
    PRINT_CONSTANT((guint) GMIME_OPENPGP_END_PGP_PRIVATE_KEY_BLOCK);
    PRINT_CONSTANT((guint) GMIME_OPENPGP_END_PGP_PUBLIC_KEY_BLOCK);
    PRINT_CONSTANT((guint) GMIME_OPENPGP_END_PGP_SIGNATURE);
    PRINT_CONSTANT((guint) GMIME_OPENPGP_NONE);
    PRINT_CONSTANT((gint) GMIME_PARAM_ENCODING_METHOD_DEFAULT);
    PRINT_CONSTANT((gint) GMIME_PARAM_ENCODING_METHOD_RFC2047);
    PRINT_CONSTANT((gint) GMIME_PARAM_ENCODING_METHOD_RFC2231);
    PRINT_CONSTANT((gint) GMIME_PUBKEY_ALGO_DEFAULT);
    PRINT_CONSTANT((gint) GMIME_PUBKEY_ALGO_DSA);
    PRINT_CONSTANT((gint) GMIME_PUBKEY_ALGO_ECC);
    PRINT_CONSTANT((gint) GMIME_PUBKEY_ALGO_ECDH);
    PRINT_CONSTANT((gint) GMIME_PUBKEY_ALGO_ECDSA);
    PRINT_CONSTANT((gint) GMIME_PUBKEY_ALGO_EDDSA);
    PRINT_CONSTANT((gint) GMIME_PUBKEY_ALGO_ELG);
    PRINT_CONSTANT((gint) GMIME_PUBKEY_ALGO_ELG_E);
    PRINT_CONSTANT((gint) GMIME_PUBKEY_ALGO_RSA);
    PRINT_CONSTANT((gint) GMIME_PUBKEY_ALGO_RSA_E);
    PRINT_CONSTANT((gint) GMIME_PUBKEY_ALGO_RSA_S);
    PRINT_CONSTANT((gint) GMIME_RFC_COMPLIANCE_LOOSE);
    PRINT_CONSTANT((gint) GMIME_RFC_COMPLIANCE_STRICT);
    PRINT_CONSTANT((gint) GMIME_SECURE_MIME_TYPE_CERTS_ONLY);
    PRINT_CONSTANT((gint) GMIME_SECURE_MIME_TYPE_COMPRESSED_DATA);
    PRINT_CONSTANT((gint) GMIME_SECURE_MIME_TYPE_ENVELOPED_DATA);
    PRINT_CONSTANT((gint) GMIME_SECURE_MIME_TYPE_SIGNED_DATA);
    PRINT_CONSTANT((gint) GMIME_SECURE_MIME_TYPE_UNKNOWN);
    PRINT_CONSTANT((gint) GMIME_SIGNATURE_STATUS_BAD_POLICY);
    PRINT_CONSTANT((gint) GMIME_SIGNATURE_STATUS_CRL_MISSING);
    PRINT_CONSTANT((gint) GMIME_SIGNATURE_STATUS_CRL_TOO_OLD);
    PRINT_CONSTANT(GMIME_SIGNATURE_STATUS_ERROR_MASK);
    PRINT_CONSTANT((gint) GMIME_SIGNATURE_STATUS_GREEN);
    PRINT_CONSTANT((gint) GMIME_SIGNATURE_STATUS_KEY_EXPIRED);
    PRINT_CONSTANT((gint) GMIME_SIGNATURE_STATUS_KEY_MISSING);
    PRINT_CONSTANT((gint) GMIME_SIGNATURE_STATUS_KEY_REVOKED);
    PRINT_CONSTANT((gint) GMIME_SIGNATURE_STATUS_RED);
    PRINT_CONSTANT((gint) GMIME_SIGNATURE_STATUS_SIG_EXPIRED);
    PRINT_CONSTANT((gint) GMIME_SIGNATURE_STATUS_SYS_ERROR);
    PRINT_CONSTANT((gint) GMIME_SIGNATURE_STATUS_TOFU_CONFLICT);
    PRINT_CONSTANT((gint) GMIME_SIGNATURE_STATUS_VALID);
    PRINT_CONSTANT((gint) GMIME_STREAM_BUFFER_BLOCK_READ);
    PRINT_CONSTANT((gint) GMIME_STREAM_BUFFER_BLOCK_WRITE);
    PRINT_CONSTANT((gint) GMIME_STREAM_SEEK_CUR);
    PRINT_CONSTANT((gint) GMIME_STREAM_SEEK_END);
    PRINT_CONSTANT((gint) GMIME_STREAM_SEEK_SET);
    PRINT_CONSTANT((gint) GMIME_TRUST_FULL);
    PRINT_CONSTANT((gint) GMIME_TRUST_MARGINAL);
    PRINT_CONSTANT((gint) GMIME_TRUST_NEVER);
    PRINT_CONSTANT((gint) GMIME_TRUST_ULTIMATE);
    PRINT_CONSTANT((gint) GMIME_TRUST_UNDEFINED);
    PRINT_CONSTANT((gint) GMIME_TRUST_UNKNOWN);
    PRINT_CONSTANT(GMIME_UUDECODE_STATE_BEGIN);
    PRINT_CONSTANT(GMIME_UUDECODE_STATE_END);
    PRINT_CONSTANT(GMIME_UUDECODE_STATE_INIT);
    PRINT_CONSTANT(GMIME_UUDECODE_STATE_MASK);
    PRINT_CONSTANT((gint) GMIME_VALIDITY_FULL);
    PRINT_CONSTANT((gint) GMIME_VALIDITY_MARGINAL);
    PRINT_CONSTANT((gint) GMIME_VALIDITY_NEVER);
    PRINT_CONSTANT((gint) GMIME_VALIDITY_ULTIMATE);
    PRINT_CONSTANT((gint) GMIME_VALIDITY_UNDEFINED);
    PRINT_CONSTANT((gint) GMIME_VALIDITY_UNKNOWN);
    PRINT_CONSTANT((guint) GMIME_VERIFY_ENABLE_KEYSERVER_LOOKUPS);
    PRINT_CONSTANT((guint) GMIME_VERIFY_ENABLE_ONLINE_CERTIFICATE_CHECKS);
    PRINT_CONSTANT((guint) GMIME_VERIFY_NONE);
    PRINT_CONSTANT((gint) GMIME_WARN_DUPLICATED_HEADER);
    PRINT_CONSTANT((gint) GMIME_WARN_DUPLICATED_PARAMETER);
    PRINT_CONSTANT((gint) GMIME_WARN_INVALID_ADDRESS_LIST);
    PRINT_CONSTANT((gint) GMIME_WARN_INVALID_CONTENT_TYPE);
    PRINT_CONSTANT((gint) GMIME_WARN_INVALID_PARAMETER);
    PRINT_CONSTANT((gint) GMIME_WARN_INVALID_RFC2047_HEADER_VALUE);
    PRINT_CONSTANT((gint) GMIME_WARN_MALFORMED_MESSAGE);
    PRINT_CONSTANT((gint) GMIME_WARN_MALFORMED_MULTIPART);
    PRINT_CONSTANT((gint) GMIME_WARN_TRUNCATED_MESSAGE);
    PRINT_CONSTANT((gint) GMIME_WARN_UNENCODED_8BIT_HEADER);
    PRINT_CONSTANT(GMIME_YDECODE_STATE_BEGIN);
    PRINT_CONSTANT(GMIME_YDECODE_STATE_DECODE);
    PRINT_CONSTANT(GMIME_YDECODE_STATE_END);
    PRINT_CONSTANT(GMIME_YDECODE_STATE_EOLN);
    PRINT_CONSTANT(GMIME_YDECODE_STATE_ESCAPE);
    PRINT_CONSTANT(GMIME_YDECODE_STATE_INIT);
    PRINT_CONSTANT(GMIME_YDECODE_STATE_PART);
    PRINT_CONSTANT(GMIME_YENCODE_CRC_INIT);
    PRINT_CONSTANT(GMIME_YENCODE_STATE_INIT);
    return 0;
}
